Bug 877763 - Review Request: gnome-photos - Access, organize and share your photos on GNOME
Review Request: gnome-photos - Access, organize and share your photos on GNOME
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivan Romanov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-18 10:58 EST by Mathieu Bridon
Modified: 2013-01-07 07:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 07:45:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
drizt: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mathieu Bridon 2012-11-18 10:58:44 EST
Spec URL: http://bochecha.fedorapeople.org/packages/gnome-photos/gnome-photos.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/gnome-photos/repo.f18/SRPMS/gnome-photos-3.7.2-1.fc18.src.rpm
Description:
Photos, like Documents, Music and Videos, is one of the core GNOME
applications meant for find and reminding the user about her content.

Fedora Account System Username: bochecha
Comment 1 Ivan Romanov 2012-11-22 00:03:52 EST
Let's swap reviews.
My review request https://bugzilla.redhat.com/show_bug.cgi?id=878653
Comment 2 Debarshi Ray 2012-11-22 07:04:17 EST
Since Igor beat me to it, consider this an unofficial review.

* rpmlint complains about no-manual-page-for-binary, install-file-in-docs, invalid-desktopfile, incorrect-fsf-address and macro-in-comment.
  - install-file-in-docs and invalid-desktopfile (Thanks Mathieu) have been fixed upstream

* Package is named according to Package Naming Guidelines.

* Spec file matches with base package %{name}.

* Package meets Packaging Guidelines.

* Package meets Licensing Guidelines.

* The License field in the spec file matches the actual license.

* License text included in %doc.

* Spec file is written in American English.

* Spec file is legible.

* Sources used to build the package matches upstream source.

* Package can be successfully built on atleast one primary architecture.

* ExcludeArch is not needed.

X It should have a BR on gdk-pixbuf2-devel, not gdk-pixbuf2.

* Locales are handled properly using %find_lang.

* Package does not contain shared library files.

X Pedantically speaking it should have Provides: bundled(libgd). See https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
  - It must be noted that libgd is not meant to be installed as a system wide shared library. It is just a way for GNOME applications to share widgets and other common code on an ad-hoc basis.

* Package is not designed to be relocatable.

* Package owns all directories created by it.

* Files are not listed more than once in %files.

* File permissions are set properly.

* Macros are used consistently.

* Package contains code.

* No need for -doc subpackage.

X Files marked as %doc do not affect the runtime behaviour.
  - You could consider marking %{_docdir}/%{name} as %doc

* No need for -static subpackage.

* No need for -devel subpackage.

* Package does not contain libtool archives.

* Package has a %{name}.desktop file.
  - Problems in %{name}.desktop file have been fixed upstream. (Thanks Mathieu)

* Package does not own files or directories owned by other packages.

* Filenames are valid UTF-8.

* Package builds in Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4716019
Comment 3 Debarshi Ray 2012-11-22 07:05:26 EST
Sorry, I meant Ivan, not Igor. My apologies.
Comment 4 Mathieu Bridon 2012-11-25 07:57:56 EST
(In reply to comment #2)
> * rpmlint complains about no-manual-page-for-binary, install-file-in-docs,
> invalid-desktopfile, incorrect-fsf-address and macro-in-comment.

- macro-in-comment is because I commented the line where I validate the desktop file. So when I update to 3.7.3 which has a valid desktop file, I'll uncomment the line and rpmlint's warning will disappear.

>   - install-file-in-docs and invalid-desktopfile (Thanks Mathieu) have been
> fixed upstream

Not doing anything for these then, I'll pick them up when updating once you release 3.7.3 :)

> X It should have a BR on gdk-pixbuf2-devel, not gdk-pixbuf2.

Fixed.

> X Pedantically speaking it should have Provides: bundled(libgd). See
> https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
>   - It must be noted that libgd is not meant to be installed as a system
> wide shared library. It is just a way for GNOME applications to share
> widgets and other common code on an ad-hoc basis.

Fixed.

> X Files marked as %doc do not affect the runtime behaviour.
>   - You could consider marking %{_docdir}/%{name} as %doc

rpmbuild does that automatically :)
  $ rpm -qp --docfiles gnome-photos-3.7.2-1.fc18.x86_64.rpm 
  /usr/share/doc/gnome-photos/ARTISTS
  /usr/share/doc/gnome-photos/AUTHORS
  /usr/share/doc/gnome-photos/COPYING
  /usr/share/doc/gnome-photos/ChangeLog
  /usr/share/doc/gnome-photos/INSTALL
  /usr/share/doc/gnome-photos/NEWS
  /usr/share/doc/gnome-photos/README
Comment 5 Mathieu Bridon 2012-11-25 08:10:45 EST
Sorry, I sent my previous comment too early (there seems to be a keyboard shortcut which validates forms in Epiphany :-/ )

(In reply to comment #2)
> * rpmlint complains about no-manual-page-for-binary, install-file-in-docs,
> invalid-desktopfile, incorrect-fsf-address and macro-in-comment.

- macro-in-comment is because I commented the line where I validate the desktop file. So when I update to 3.7.3 which has a valid desktop file, I'll uncomment the line and rpmlint's warning will disappear.

- about incorrect-fsf-address, I'll send you a patch which fixes all the addresses, so I'll pick that up in 3.7.3 too.

>   - install-file-in-docs and invalid-desktopfile (Thanks Mathieu) have been
> fixed upstream

Not doing anything for these then, I'll pick them up when updating once you release 3.7.3 :)

> X It should have a BR on gdk-pixbuf2-devel, not gdk-pixbuf2.

Fixed.

> X Pedantically speaking it should have Provides: bundled(libgd). See
> https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
>   - It must be noted that libgd is not meant to be installed as a system
> wide shared library. It is just a way for GNOME applications to share
> widgets and other common code on an ad-hoc basis.

Fixed.

> X Files marked as %doc do not affect the runtime behaviour.
>   - You could consider marking %{_docdir}/%{name} as %doc

rpmbuild does that automatically :)
  $ rpm -qp --docfiles gnome-photos-3.7.2-1.fc18.x86_64.rpm 
  /usr/share/doc/gnome-photos/ARTISTS
  /usr/share/doc/gnome-photos/AUTHORS
  /usr/share/doc/gnome-photos/COPYING
  /usr/share/doc/gnome-photos/ChangeLog
  /usr/share/doc/gnome-photos/INSTALL
  /usr/share/doc/gnome-photos/NEWS
  /usr/share/doc/gnome-photos/README

Spec URL: http://bochecha.fedorapeople.org/packages/gnome-photos.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/gnome-photos-3.7.2-2.fc18.src.rpm
Comment 6 Ivan Romanov 2012-11-26 14:16:05 EST
I couldn't to use this application. When I started it it has no any photos and I couldn't find any way to add them.

In .spec you use https://live.gnome.org/Design/Apps/Photos but About of Gnome-Photos used https://live.gnome.org/GnomePhotos.
Probably it should be fixed.

https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Documentation
Any relevant documentation included in the source distribution should be included in the package as %doc. Irrelevant documentation include build instructions, the omnipresent INSTALL file containing generic build instructions

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2 or later)",
     "GPL (v2 or later)", "Unknown or generated". 4 files have unknown
     license. Detailed output of licensecheck in /home/taurus/877763-gnome-
     photos/licensecheck.txt
Use GPLv2+ and LGPLv2+ for License tag

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[-]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2 or later)",
     "GPL (v2 or later)", "Unknown or generated". 4 files have unknown
     license. Detailed output of licensecheck in /home/taurus/877763-gnome-
     photos/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 71680 bytes in 7 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: gnome-photos-3.7.2-2.fc18.x86_64.rpm
          gnome-photos-3.7.2-2.fc18.src.rpm
          gnome-photos-debuginfo-3.7.2-2.fc18.x86_64.rpm
gnome-photos.x86_64: W: no-manual-page-for-binary gnome-photos
gnome-photos.x86_64: W: install-file-in-docs /usr/share/doc/gnome-photos/INSTALL
gnome-photos.x86_64: E: invalid-desktopfile /usr/share/applications/gnome-photos.desktop value "GNOME" for string list key "OnlyShowIn" in group "Desktop Entry" does not have a semicolon (';') as trailing character
gnome-photos.src:29: W: unversioned-explicit-provides bundled(libgd)
gnome-photos.src:52: W: macro-in-comment %{buildroot}
gnome-photos.src:52: W: macro-in-comment %{_datadir}
gnome-photos.src:52: W: macro-in-comment %{name}
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-image-setup.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-job-queue.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-image-setup.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-image.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-image-private.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-image.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-enums.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-jpg.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-jpg.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-util.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-util.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-png.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-png.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-exif-util.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-preview.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-preview.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-jobs.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-jobs.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-debug.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-debug.c
3 packages and 0 specfiles checked; 24 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gnome-photos-debuginfo gnome-photos
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-image-setup.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-job-queue.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-image-setup.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-image.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-image-private.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-image.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-enums.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-jpg.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-jpg.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-util.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-util.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-png.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-png.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-exif-util.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-preview.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-preview.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-jobs.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-jobs.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-debug.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-debug.c
gnome-photos.x86_64: W: no-manual-page-for-binary gnome-photos
gnome-photos.x86_64: W: install-file-in-docs /usr/share/doc/gnome-photos/INSTALL
gnome-photos.x86_64: E: invalid-desktopfile /usr/share/applications/gnome-photos.desktop value "GNOME" for string list key "OnlyShowIn" in group "Desktop Entry" does not have a semicolon (';') as trailing character
2 packages and 0 specfiles checked; 24 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
gnome-photos-3.7.2-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    libX11.so.6()(64bit)
    libXcomposite.so.1()(64bit)
    libXdamage.so.1()(64bit)
    libXext.so.6()(64bit)
    libXfixes.so.3()(64bit)
    libXi.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libclutter-1.0.so.0()(64bit)
    libclutter-gtk-1.0.so.0()(64bit)
    libcogl-pango.so.0()(64bit)
    libcogl.so.11()(64bit)
    libexempi.so.3()(64bit)
    libexif.so.12()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgnome-desktop-3.so.4()(64bit)
    libgoa-1.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    liblcms2.so.2()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    librsvg-2.so.2()(64bit)
    librt.so.1()(64bit)
    libtracker-miner-0.14.so.0()(64bit)
    libtracker-sparql-0.14.so.0()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

gnome-photos-debuginfo-3.7.2-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
gnome-photos-3.7.2-2.fc18.x86_64.rpm:
    
    bundled(libgd)
    gnome-photos = 3.7.2-2.fc18
    gnome-photos(x86-64) = 3.7.2-2.fc18

gnome-photos-debuginfo-3.7.2-2.fc18.x86_64.rpm:
    
    gnome-photos-debuginfo = 3.7.2-2.fc18
    gnome-photos-debuginfo(x86-64) = 3.7.2-2.fc18



MD5-sum check
-------------
http://ftp.gnome.org/pub/GNOME/sources/gnome-photos/3.7/gnome-photos-3.7.2.tar.xz :
  CHECKSUM(SHA256) this package     : b1005d7a44c552635aa0dd7a1a2f93e11faab37af036e312e188de3b06446bc4
  CHECKSUM(SHA256) upstream package : b1005d7a44c552635aa0dd7a1a2f93e11faab37af036e312e188de3b06446bc4


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 877763
Comment 7 Mathieu Bridon 2012-11-29 11:06:48 EST
(In reply to comment #6)
> I couldn't to use this application. When I started it it has no any photos
> and I couldn't find any way to add them.

You need to have Tracker running and indexing your photos in ~/Pictures. There is no way to « add » pictures to it, it finds them automatically.

> In .spec you use https://live.gnome.org/Design/Apps/Photos but About of
> Gnome-Photos used https://live.gnome.org/GnomePhotos.
> Probably it should be fixed.

I didn't know about this URL, so I used the other one. Fixed.

> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2 or later)",
>      "GPL (v2 or later)", "Unknown or generated". 4 files have unknown
>      license. Detailed output of licensecheck in /home/taurus/877763-gnome-
>      photos/licensecheck.txt
> Use GPLv2+ and LGPLv2+ for License tag

Good catch! Fixed.

> [!]: %check is present and all tests pass.

I guess that's a note for Debarshi to add unit tests upstream. :P

> [!]: Packages should try to preserve timestamps of original installed files.

Doh, I asked you to fix it in NetworkManager-l2tp and I can't do it properly in my own package. :)

Fixed.

-----

Spec URL: http://bochecha.fedorapeople.org/packages/gnome-photos.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/gnome-photos-3.7.2-3.fc18.src.rpm
Comment 8 Ivan Romanov 2012-11-30 12:59:27 EST
Add explanation for licensies.
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios
Comment 9 Mathieu Bridon 2012-11-30 21:07:14 EST
(In reply to comment #8)
> Add explanation for licensies.
> https://fedoraproject.org/wiki/Packaging:
> LicensingGuidelines#Multiple_Licensing_Scenarios

Fixed.

-----

Spec URL: http://bochecha.fedorapeople.org/packages/gnome-photos.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/gnome-photos-3.7.2-4.fc18.src.rpm
Comment 10 Ivan Romanov 2012-12-01 00:13:14 EST
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Documentation
Any relevant documentation included in the source distribution should be included in the package as %doc. Irrelevant documentation include build instructions, the omnipresent INSTALL file containing generic build instructions

You use %{_docdir}/%{name} instead of %doc
Comment 11 Mathieu Bridon 2012-12-01 01:45:38 EST
(In reply to comment #10)
> https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/
> Guidelines#Documentation
> Any relevant documentation included in the source distribution should be
> included in the package as %doc. Irrelevant documentation include build
> instructions, the omnipresent INSTALL file containing generic build
> instructions

Debarshi (he is the upstream developer) already said in comment 3 that he has fixed this upstream so that the INSTALL file will not get installed any more.

So it would be silly to add something in the spec that I'll have to remove when 3.7.3 comes out (which should happen in mid-December).

> You use %{_docdir}/%{name} instead of %doc

I already answered Debarshi about that in comment 5: files in %{_docdir} are automatically marked as %doc, you don't have to do it manually in the spec.
Comment 12 Ivan Romanov 2012-12-01 02:00:40 EST
Ok.
IMO no %doc in files confuse me and it's not good to use non-standard way but in really it can't block a review. So you package is approved.


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2 or later)",
     "GPL (v2 or later)", "Unknown or generated". 4 files have unknown
     license. Detailed output of licensecheck in /home/taurus/877763-gnome-
     photos/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 71680 bytes in 7 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: gnome-photos-debuginfo-3.7.2-4.fc18.x86_64.rpm
          gnome-photos-3.7.2-4.fc18.x86_64.rpm
          gnome-photos-3.7.2-4.fc18.src.rpm
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-image-setup.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-job-queue.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-image-setup.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-image.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-image-private.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-image.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-enums.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-jpg.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-jpg.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-util.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-util.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-png.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-png.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-exif-util.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-preview.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-preview.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-jobs.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-jobs.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-debug.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-debug.c
gnome-photos.x86_64: W: no-manual-page-for-binary gnome-photos
gnome-photos.x86_64: W: install-file-in-docs /usr/share/doc/gnome-photos/INSTALL
gnome-photos.x86_64: E: invalid-desktopfile /usr/share/applications/gnome-photos.desktop value "GNOME" for string list key "OnlyShowIn" in group "Desktop Entry" does not have a semicolon (';') as trailing character
gnome-photos.src:31: W: unversioned-explicit-provides bundled(libgd)
gnome-photos.src:54: W: macro-in-comment %{buildroot}
gnome-photos.src:54: W: macro-in-comment %{_datadir}
gnome-photos.src:54: W: macro-in-comment %{name}
3 packages and 0 specfiles checked; 24 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gnome-photos gnome-photos-debuginfo
gnome-photos.x86_64: W: no-manual-page-for-binary gnome-photos
gnome-photos.x86_64: W: install-file-in-docs /usr/share/doc/gnome-photos/INSTALL
gnome-photos.x86_64: E: invalid-desktopfile /usr/share/applications/gnome-photos.desktop value "GNOME" for string list key "OnlyShowIn" in group "Desktop Entry" does not have a semicolon (';') as trailing character
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-image-setup.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-job-queue.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-image-setup.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-image.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-image-private.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-image.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-enums.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-jpg.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-jpg.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-util.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-util.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-png.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-metadata-reader-png.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-exif-util.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-preview.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-print-preview.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-jobs.c
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-jobs.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-debug.h
gnome-photos-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-photos-3.7.2/src/eog-debug.c
2 packages and 0 specfiles checked; 24 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
gnome-photos-debuginfo-3.7.2-4.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

gnome-photos-3.7.2-4.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    libX11.so.6()(64bit)
    libXcomposite.so.1()(64bit)
    libXdamage.so.1()(64bit)
    libXext.so.6()(64bit)
    libXfixes.so.3()(64bit)
    libXi.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libclutter-1.0.so.0()(64bit)
    libclutter-gtk-1.0.so.0()(64bit)
    libcogl-pango.so.0()(64bit)
    libcogl.so.11()(64bit)
    libexempi.so.3()(64bit)
    libexif.so.12()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgnome-desktop-3.so.4()(64bit)
    libgoa-1.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    liblcms2.so.2()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    librsvg-2.so.2()(64bit)
    librt.so.1()(64bit)
    libtracker-miner-0.14.so.0()(64bit)
    libtracker-sparql-0.14.so.0()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
gnome-photos-debuginfo-3.7.2-4.fc18.x86_64.rpm:
    
    gnome-photos-debuginfo = 3.7.2-4.fc18
    gnome-photos-debuginfo(x86-64) = 3.7.2-4.fc18

gnome-photos-3.7.2-4.fc18.x86_64.rpm:
    
    bundled(libgd)
    gnome-photos = 3.7.2-4.fc18
    gnome-photos(x86-64) = 3.7.2-4.fc18



MD5-sum check
-------------
http://ftp.gnome.org/pub/GNOME/sources/gnome-photos/3.7/gnome-photos-3.7.2.tar.xz :
  CHECKSUM(SHA256) this package     : b1005d7a44c552635aa0dd7a1a2f93e11faab37af036e312e188de3b06446bc4
  CHECKSUM(SHA256) upstream package : b1005d7a44c552635aa0dd7a1a2f93e11faab37af036e312e188de3b06446bc4


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 877763
Comment 13 Mathieu Bridon 2012-12-01 02:45:33 EST
New Package SCM Request
=======================
Package Name: gnome-photos
Short Description: Access, organize and share your photos on GNOME
Owners: bochecha
Branches: devel
InitialCC:
Comment 14 Matthias Clasen 2013-01-07 07:45:58 EST
gnome-photos has been built

Note You need to log in before you can comment on or make changes to this bug.